用户
按 id 获取用户
GET /v1/users/by-id/{user_id} reads 1 额度
按数字 id 查询一个账号的资料,适用于你手头只有 id 而非用户名的情况。
响应
user 下的资料,id 为字符串。非数字 id 返回 422。
状态: 200, 404, 422, 429, 502
请求
curl https://api.xsignalfeed.com/v1/users/by-id/44196397 \ -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 404
{
"user": {
"id": "44196397",
"name": "Elon Musk",
"screen_name": "elonmusk",
"bio": "…",
"location": null,
"url": "",
"avatar": "https://pbs.twimg.com/profile_images/…",
"banner": "https://pbs.twimg.com/profile_banners/44196397/…",
"pinned": "2099875660290228642",
"verified": true,
"protected": false,
"followers": 241629139,
"following": 1406,
"tweets": 108648
}
}